Subject: [eap] draft-urien-eap-smartcard-03.txt

From: <[email-masked]>
Date: Fri, 21 Nov 2003 14:32:17 +0200

Hi everyone,

Here are some questions about draft-urien-eap-smartcard-03.txt.

The subscriber profile is a service that can be used to retrieve the EAP 
types that the smart card implements, right? I suppose the supplicant
software can easily enumerate the all the EAP methods that are available 
beforehand. But I find it confusing that the draft talks about identity selection 
rather than EAP type selection. Shouldn't the supplicant software
select the active EAP method rather than an identity? 

Maybe the subscriber profile could contain a short description of 
the EAP method so that could be shown by the supplicant UI.

Have you considered EAP method negotiation in cases when 
some methods are implemented by the smart card and others by
supplicant software? I think this topic deserves some discussion in this draft.

If the supplicant first tries a software EAP method, and later receives 
an EAP request of some other type, the software could forward the EAP request
to the smart card. In this case, does the terminal first need to cycle the identities to find
the correct EAP type, or can the EAP packet be directly forwarded to the
card?

If the smart card method is not the first method to try during
EAP method negotiation, then there might not be an EAP identity
round at all, so the smart card authentication should start directly
with an EAP request other than identity. So it should be possible to
by-pass the identity services. Or does the supplicant software need to
fake an EAP identity request and then ignore the response in order 
to get the smart card's state initialized?

IPR notices: I believe the correct thing to do is to refer to the IETF IPR pages
(http://www.ietf.org/ipr.html) for an up-to-date listing of IPR statements, and
declare all IPR there. There is already one patent statement pertaining to this 
document:
http://www.ietf.org/ietf/IPR/NOKIA-EAP-SMARTCARD.txt

Regards,
Henry

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap